/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management;

/**
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.3 $
 */
public interface NotificationBroadcaster
{
	public MBeanNotificationInfo[] getNotificationInfo();

	public void addNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback);
	// This method is not be part of the spec, but is present in the RI (probably a bug)
	public void removeNotificationListener(NotificationListener listener) throws ListenerNotFoundException;
	// This method is part of the spec, but is not present in the RI (probably a bug)
//	public void removeNotificationListener(NotificationListener listener, Object handback) throws ListenerNotFoundException;
	// This method is not part of the spec nor of the RI, but it is needed
//	public void removeNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback) throws ListenerNotFoundException;
}
