/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management.loading;

import javax.management.MBeanServerFactory;

/**
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.3 $
 */
public class DefaultLoaderRepository
{
	// A singleton
	private DefaultLoaderRepository() {}

	public static Class loadClass(String className) throws ClassNotFoundException
	{
		return MBeanServerFactory.getClassLoaderRepository(null).loadClass(className);
	}
	public static Class loadClassWithout(ClassLoader loader, String className) throws ClassNotFoundException
	{
		return MBeanServerFactory.getClassLoaderRepository(null).loadClassWithout(loader, className);
	}
}
