/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j.adaptor.rmi.iiop;

import mx4j.adaptor.rmi.RMIAdaptorMBean;

/**
 * Management interface for the IIOP adaptor
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.2 $
 */
public interface IIOPAdaptorMBean extends RMIAdaptorMBean
{
	/**
	 * The default object name used if the user does not provide one during registration
	 */
	public static final String OBJECT_NAME = "Adaptor:protocol=IIOP";
}
